<?php 
class eventclass_senuc_coordenador_regional  extends eventsBase
{ 
	function eventclass_senuc_coordenador_regional()
	{
	// fill list of events


		$this->events["BeforeShowEdit"]=true;

		$this->events["AfterEdit"]=true;

		$this->events["AfterAdd"]=true;


//	onscreen events


	}
// Captchas functions	

//	handlers

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
				// Before display
function BeforeShowEdit(&$xt,&$templatefile,$values,&$pageObject)
{

		global $dal;
$tblOrders = $dal->Table("senuc_coordenador");
$rs = $tblOrders->Query("id=".$values['id'],"");
$data = db_fetch_array($rs);
//$values['cidade'] =$data['cidade'];
 $id_cidade=$data['cidade'];
$tblOrders = $dal->Table("tb_cidades");
$rs = $tblOrders->Query("id=".$id_cidade,"");
$data = db_fetch_array($rs);
//$values['cidade'] =$data['cidade'];
 $cidade=$data['nome'];
$pageObject->setProxyValue("cidade", $cidade);
// Place event code here.
// Use "Add Action" button to add code snippets.
;		
} // function BeforeShowEdit

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
				// After record updated
function AfterEdit(&$values,$where,&$oldvalues,&$keys,$inline,&$pageObject)
{

		if($values['cidade']==""||$values['cidade']==0){

global $dal;
$tblUsers = $dal->Table("senuc_coordenador");
$tblUsers->Param["id"]=$oldvalues['id'];
$tblUsers->Value["cidade"]=$oldvalues['cidade'];
$tblUsers->Update();
}

if($oldvalues['ativo']!=$values['ativo']){
include "conexao_mdl.php";
if($values['ativo']==0){

$sql9="UPDATE mdl_user  set suspended=1 where id=".$values['id_mdl'];
$result9 = mysql_query($sql9, $conexao2)or die("Falha na execuçao da instruçao"); 


}
else{

$sql9="UPDATE mdl_user  set suspended=0 where id=".$values['id_mdl'];
$result9 = mysql_query($sql9, $conexao2)or die("Falha na execuçao da instruçao"); 


}


}
// Place event code here.
// Use "Add Action" button to add code snippets.
;		
} // function AfterEdit

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		

		
		
		
		
		
		
		
		
		
		
		
				// After record added
function AfterAdd(&$values,&$keys,$inline,&$pageObject)
{

		global $dal;
$tblUsers = $dal->Table("senuc_coordenador");
$tblUsers->Param["id"]=$values['id'];
$tblUsers->Value["idregional"]=$_SESSION["idregional"] ;
$tblUsers->Update();


// Place event code here.
// Use "Add Action" button to add code snippets.
;		
} // function AfterAdd

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
//	onscreen events

} 
?>
